OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_mem_c.c File Reference
`#include <assert.h>`
`#include <stdlib.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Macros
#define | OJPH_EXPORT

## Functions
void * | ojph_aligned_malloc (size_t alignment, size_t size)
void | ojph_aligned_free (void *pointer)

## Macro Definition Documentation

## ◆ OJPH_EXPORT

#define OJPH_EXPORT

Definition at line 61 of file ojph_mem_c.c.

## Function Documentation

## ◆ ojph_aligned_free()

void ojph_aligned_free | ( | void * | pointer | ) |

Definition at line 119 of file ojph_mem_c.c.

## ◆ ojph_aligned_malloc()

void * ojph_aligned_malloc | ( | size_t | alignment,
|  | size_t | size )

Definition at line 101 of file ojph_mem_c.c.